%dw 2.0
%namespace cerpt http://com.workday.report/Employee_Canonical_Enrichment
%namespace pcommrpt http://com.workday.report/ei_soa_api_worker/Peopleforce_Extract
%namespace wd http://com.workday/bsvc
%namespace self http://sfdc.com/it/ei/esb/xmlns
%namespace hr http://www.hr-xml.org/3
%namespace oa http://www.openapplications.org/oagis/9
%namespace eihrsum http://sfdc.com/it/ei/hr/summary
%namespace eihremp http://sfdc.com/it/ei/hr/employee
%namespace eihrempmnt http://sfdc.com/it/ei/hr/employment
%namespace eihrdeploy http://sfdc.com/it/ei/hr/deployment
%namespace eihrremun http://sfdc.com/it/ei/hr/remuneration
---
{
eihrsum#HRMasterDataBatch: in0.EmployeeSummary.EmployeeWorkersData.Response_Data.Worker* map {
        eihrsum#HRMasterData @(validFrom: in1.parameters.validFrom): {
            hr#MasterPersonDossier @(validFrom: $.validFrom): {
                hr#MasterPerson: {
                    PersonName @(legalNameIndicator: false): {
                        GivenName: (&firstPersonaData $.Worker_Data.Personal_Data.Name_Data.Preferred_Name_Data.Name_Detail_Data).First_Name,
                        FamilyName: firstPersonaData.Last_Name
                    },
                    PersonName @(legalNameIndicator: true): {
                        GivenName: (&secondPersonaData $.Worker_Data.Personal_Data.Name_Data.Legal_Name_Data.Name_Detail_Data).First_Name,
                        FamilyName: secondPersonaData.Last_Name
                    }
                }
                    + {PersonLegalID @(schemeName:"SSN"): 1 when (sizeOf(in0.EmployeeSummary.EmployeeWorkersData.Response_Data.Worker*)) > 0 otherwise 2}
                    + {
                    Communication: ({
                        a:2
                    }) when
                        $.Worker_Data.Personal_Data.Contact_Data.Phone_Data.Usage_Data.Type_Data.Primary == 1
                       otherwise {
                        b: $.Worker_Data.Personal_Data.Contact_Data.Phone_Data.Usage_Data.Type_Data
                       }
                    }
            }
        }
    }
}